<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: sd_communication-buf.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_d3e05aca7a3899228bc73874ca6b8d8d.html">sd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">sd_communication-buf.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacesd__communication"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html">sd_communication</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a512974241f68701488c09f4df67ba506"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a512974241f68701488c09f4df67ba506">sd_communication::communication_border</a> (A, sd)</td></tr>
<tr class="separator:a512974241f68701488c09f4df67ba506"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae11a4532031e63a0a57be2587e47da77"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#ae11a4532031e63a0a57be2587e47da77">sd_communication::communication_border_int</a> (A, sd)</td></tr>
<tr class="separator:ae11a4532031e63a0a57be2587e47da77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9efeb98cc5e82a359cdd078f5142732"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#ab9efeb98cc5e82a359cdd078f5142732">sd_communication::communication_border_adv</a> (A, n1, n2, n3, no, sd)</td></tr>
<tr class="separator:ab9efeb98cc5e82a359cdd078f5142732"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25238f56e615857c31abfdb55c514a45"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a25238f56e615857c31abfdb55c514a45">sd_communication::communication_border_x</a> (A, n1, n2, n3, no, sd)</td></tr>
<tr class="separator:a25238f56e615857c31abfdb55c514a45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf156f1da1a187afdac37500c10d241b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#acf156f1da1a187afdac37500c10d241b">sd_communication::communication_border_y</a> (A, n1, n2, n3, no, sd)</td></tr>
<tr class="separator:acf156f1da1a187afdac37500c10d241b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af101004a4f03b2caed2054d099107578"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#af101004a4f03b2caed2054d099107578">sd_communication::communication_border_z</a> (A, n1, n2, n3, no, sd)</td></tr>
<tr class="separator:af101004a4f03b2caed2054d099107578"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14d478661a2d10aba1d7a7e8f0aeb11c"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a14d478661a2d10aba1d7a7e8f0aeb11c">sd_communication::communication_border_x_int</a> (A, n1, n2, n3, no, sd)</td></tr>
<tr class="separator:a14d478661a2d10aba1d7a7e8f0aeb11c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae95c56f527579d124b8ade2a09e6f087"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#ae95c56f527579d124b8ade2a09e6f087">sd_communication::communication_border_y_int</a> (A, n1, n2, n3, no, sd)</td></tr>
<tr class="separator:ae95c56f527579d124b8ade2a09e6f087"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee28227aade181384fbb62e510bb36b7"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#aee28227aade181384fbb62e510bb36b7">sd_communication::communication_border_z_int</a> (A, n1, n2, n3, no, sd)</td></tr>
<tr class="separator:aee28227aade181384fbb62e510bb36b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19d2d9d0f9692db4be98fd0dd5cf2491"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a19d2d9d0f9692db4be98fd0dd5cf2491">sd_communication::summation_border</a> (A, sd)</td></tr>
<tr class="separator:a19d2d9d0f9692db4be98fd0dd5cf2491"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49dccef25d5ac9fb4b3d47a3cd15a534"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a49dccef25d5ac9fb4b3d47a3cd15a534">sd_communication::summation_border_x</a> (A, n1, n2, n3, no, sd)</td></tr>
<tr class="separator:a49dccef25d5ac9fb4b3d47a3cd15a534"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf5262bd4051ed0a93537534fb8e90a1"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#aaf5262bd4051ed0a93537534fb8e90a1">sd_communication::summation_border_y</a> (A, n1, n2, n3, no, sd)</td></tr>
<tr class="separator:aaf5262bd4051ed0a93537534fb8e90a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8756d5c3a9bfa44234fb475bf6540280"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a8756d5c3a9bfa44234fb475bf6540280">sd_communication::summation_border_z</a> (A, n1, n2, n3, no, sd)</td></tr>
<tr class="separator:a8756d5c3a9bfa44234fb475bf6540280"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af532f3334eb4891898cc27bb63e41751"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#af532f3334eb4891898cc27bb63e41751">sd_communication::update_no_i3</a> (i3, action, sd)</td></tr>
<tr class="separator:af532f3334eb4891898cc27bb63e41751"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a1a1d558e9b350346f9c071c74737d776"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a1a1d558e9b350346f9c071c74737d776">sd_communication::replace_mp</a> = 1</td></tr>
<tr class="separator:a1a1d558e9b350346f9c071c74737d776"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d882f814b8eb2e1b94c9fecea7a70cc"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a9d882f814b8eb2e1b94c9fecea7a70cc">sd_communication::add_mp</a> = 2</td></tr>
<tr class="separator:a9d882f814b8eb2e1b94c9fecea7a70cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9344aba871a1a1934eba1b81d32dc5a7"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a9344aba871a1a1934eba1b81d32dc5a7">sd_communication::average_mp</a> = 3</td></tr>
<tr class="separator:a9344aba871a1a1934eba1b81d32dc5a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a3d2b34da4e6227fd7f15f7ddbb6245"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a9a3d2b34da4e6227fd7f15f7ddbb6245">sd_communication::min_mp</a> = 4</td></tr>
<tr class="separator:a9a3d2b34da4e6227fd7f15f7ddbb6245"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae767b7ce909cb5413032a234720d0c12"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#ae767b7ce909cb5413032a234720d0c12">sd_communication::max_mp</a> = 5</td></tr>
<tr class="separator:ae767b7ce909cb5413032a234720d0c12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a6058150264f366d9062d4b2b1acfa3"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a5a6058150264f366d9062d4b2b1acfa3">sd_communication::replace_no_pr_mp</a> = 6</td></tr>
<tr class="separator:a5a6058150264f366d9062d4b2b1acfa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fd35131951063835b6504b134e31751"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a6fd35131951063835b6504b134e31751">sd_communication::min_no_pr_mp</a> = 7</td></tr>
<tr class="separator:a6fd35131951063835b6504b134e31751"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a605b525b79b870dd98e348881db5ddbc"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__communication.html#a605b525b79b870dd98e348881db5ddbc">sd_communication::max_no_pr_mp</a> = 8</td></tr>
<tr class="separator:a605b525b79b870dd98e348881db5ddbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
